curl --request GET \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/bacs-file/download \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Returns a 302 redirect to a presigned GCS URL for the stored BACS file. Use file_type=txt (default) for the Standard 18 bank submission file, or file_type=csv for the human-readable CSV snapshot. Both files are generated and stored at approval time — requires task SUCCESS.
curl --request GET \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/bacs-file/download \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get token from Auth0 and paste it here
File format: txt or csv
txt, csv Successful Response
Was this page helpful?